> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Storage Credentials

> Generate temporary MinIO/S3 storage credentials using STS.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/storage/credentials
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/storage/credentials:
    post:
      tags:
        - Storage Credentials
      summary: Get Storage Credentials
      description: Generate temporary MinIO/S3 storage credentials using STS.
      operationId: get_storage_credentials_api_v2_external_storage_credentials_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageCredentials'
components:
  schemas:
    StorageCredentials:
      properties:
        access_key:
          type: string
          title: Access Key
        secret_key:
          type: string
          title: Secret Key
        session_token:
          type: string
          title: Session Token
        endpoint:
          type: string
          title: Endpoint
        bucket_name:
          type: string
          title: Bucket Name
        region:
          type: string
          title: Region
          default: us-east-1
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - access_key
        - secret_key
        - endpoint
        - bucket_name
        - expires_at
      title: StorageCredentials

````